# Class Encoding

java.lang.Object
nu.validator.htmlparser.io.Encoding

public class Encoding extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Encoding`
`UTF16`
`static final Encoding`
`UTF16BE`
`static final Encoding`
`UTF16LE`
`static final Encoding`
`UTF8`
`static final Encoding`
`WINDOWS1252`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canEncode()`
`static Encoding`
`forName(String name)`
`Encoding`
`getActualHtmlEncoding()`
Returns the actualHtmlEncoding.
`String`
`getCanonName()`
Returns the canonName.
`boolean`
`isAsciiSuperset()`
Returns the asciiSuperset.
`boolean`
`isLikelyEbcdic()`
Returns the likelyEbcdic.
`boolean`
`isObscure()`
Returns the obscure.
`boolean`
`isRegistered()`
`boolean`
`isShouldNot()`
Returns the shouldNot.
`static void`
`main(String[] args)`
`CharsetDecoder`
`newDecoder()`
`CharsetEncoder`
`newEncoder()`
`static String`
`stripDashAndUnderscore(String str)`
`static String`
`toAsciiLowerCase(String str)`
`static String`
`toNameKey(String str)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UTF8

public static final Encoding UTF8

### UTF16

public static final Encoding UTF16

### UTF16LE

public static final Encoding UTF16LE

### UTF16BE

public static final Encoding UTF16BE

### WINDOWS1252

public static final Encoding WINDOWS1252

## Method Details

### forName

public static Encoding forName(String name)

### toNameKey

public static String toNameKey(String str)

### stripDashAndUnderscore

public static String stripDashAndUnderscore(String str)

### toAsciiLowerCase

public static String toAsciiLowerCase(String str)

### isAsciiSuperset

public boolean isAsciiSuperset()
Returns the asciiSuperset.

Returns:
  the asciiSuperset

### getCanonName

public String getCanonName()
Returns the canonName.

Returns:
  the canonName

### isLikelyEbcdic

public boolean isLikelyEbcdic()
Returns the likelyEbcdic.

Returns:
  the likelyEbcdic

### isObscure

public boolean isObscure()
Returns the obscure.

Returns:
  the obscure

### isShouldNot

public boolean isShouldNot()
Returns the shouldNot.

Returns:
  the shouldNot

### isRegistered

public boolean isRegistered()

### canEncode

public boolean canEncode()

Returns:
See Also:
  - `Charset.canEncode()`

### newDecoder

public CharsetDecoder newDecoder()

Returns:
See Also:
  - `Charset.newDecoder()`

### newEncoder

public CharsetEncoder newEncoder()

Returns:
See Also:
  - `Charset.newEncoder()`

### getActualHtmlEncoding

public Encoding getActualHtmlEncoding()
Returns the actualHtmlEncoding.

Returns:
  the actualHtmlEncoding

### main

public static void main(String[] args)